#
# spec file for package vlfrx-tools 
#
# Copyright (c) 2017 Walter Fey DL8FCL
#
# This file is under MIT license

Name:           vlfrx-tools
Version:        0.9p
Release:        1.21
License:        BSD-2-Clause
Summary:        VLF Receiver Software Toolkit
Url:            http://abelian.org/vlfrx-tools/
Group:          Productivity/Hamradio/Other
Source:         %{name}-%{version}.tgz
Source1:        COPYING.tar.bz2
Patch0:         destdir.diff

BuildRequires:  alsa-devel
BuildRequires:  libvorbis-devel
BuildRequires:  flac-devel
BuildRequires:  libpng-devel
BuildRequires:  libXpm-devel
BuildRequires:  ncurses-devel
BuildRequires:  libshout-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  fftw3-devel
BuildRequires:  sox-devel
BuildRequires:  gnuplot
BuildRequires:  xforms-devel

%description
A modular software toolkit for VLF radio signal processing and storage.

%prep
%setup -q
%setup -T -D -a 1
%patch -P 0 -p1

%build
%configure 
%make_build

%install
%make_install

%check

%files
%{_bindir}/vt*
%doc changelog README 
%if 0%{?suse_version} >= 1325
%license COPYING
%else
%doc COPYING
%endif

%changelog
* Sat Nov  9 2024 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 0.9p
- fix build for Tumbleweed and Factory
* Sat Jul  8 2023 Wojciech Kazubski <wk@ire.pw.edu.pl>
- fix build for Tumbleweed and Factory
- minor specfile update
* Sat Oct 15 2022 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 0.9m
* Sat Jan 11 2020 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 0.9h
* Thu Feb  7 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 0.9f
- patch destdir.diff rebased to current source
* Wed May  9 2018 wk@ire.pw.edu.pl
- update to version 0.9c
* Sun May  6 2018 wk@ire.pw.edu.pl
- update to version 0.9b
* Fri Mar  9 2018 wk@ire.pw.edu.pl
- update to version 0.8b
* Thu Oct  8 2015 dl8fcl@darc.de
- update to version 0.7p
* Thu Nov  7 2013 dl8fcl@darc.de
- import into build service
